Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Summary:	Dynamic Kernel Module Support Framework
Name:		dkms
Version:	2.1.1.2
Release:	1
License:	GNU/GPLv2+
Group:		System/Base
URL:		http://linux.dell.com/dkms
Source0:	http://linux.dell.com/dkms/permalink/%{name}-%{version}.tar.gz
Patch0:		dkms-2.1.1.0-python26.patch
Patch1:		dkms-2.1.1.0-log_functions.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}
BuildArch:      noarch
Requires:	sed
Requires:	gawk
Requires:	findutils
Requires:	module-init-tools
Requires:	tar
Requires:	cpio
Requires:	gzip
Requires:	grep
Requires:	mktemp
Requires:	bash
Requires:	kernel-devel
Requires:	python26

%description
This package contains the framework for the Dynamic
Kernel Module Support (DKMS) method for installing
module RPMS as originally developed by Dell.

%post
[ -e /sbin/dkms ] && mv -f /sbin/dkms /sbin/dkms.old 2>/dev/null
# enable on initial install
[ $1 -lt 2 ] && /sbin/chkconfig dkms_autoinstaller on ||:

%preun
# remove on uninstall
[ $1 -lt 1 ] && /sbin/chkconfig dkms_autoinstaller off ||:

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build

%install
rm -rf $RPM_BUILD_ROOT
make install-redhat DESTDIR=$RPM_BUILD_ROOT \
    SBIN=$RPM_BUILD_ROOT%{_sbindir} \
    VAR=$RPM_BUILD_ROOT%{_localstatedir}/lib/%{name} \
    MAN=$RPM_BUILD_ROOT%{_mandir}/man8 \
    ETC=$RPM_BUILD_ROOT%{_sysconfdir}/%{name} \
    BASHDIR=$RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d \
    LIBDIR=$RPM_BUILD_ROOT%{_prefix}/lib/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_sbindir}/%{name}
%{_localstatedir}/lib/%{name}
/etc/init.d/dkms_autoinstaller
%{_libdir}/%{name}
%{_datadir}/apport/package-hooks/dkms.py
%{_mandir}/man8/dkms.8.gz
%config(noreplace) %{_sysconfdir}/%{name}
%doc sample.spec sample.conf AUTHORS COPYING README.dkms
%doc sample-suse-9-mkkmp.spec sample-suse-10-mkkmp.spec
# these dirs are for plugins - owned by other packages
%{_sysconfdir}/kernel/postinst.d/%{name}
%{_sysconfdir}/kernel/prerm.d/%{name}
%{_sysconfdir}/bash_completion.d/%{name}

%changelog
* Tue Apr 27 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.1.1.2-1
- Version update
* Thu Feb 18 2010 Christian Metzen <metzench@ccux-linux.de> 2.1.1.1-2
- add init patch
- fixes bug #0000052
* Tue Feb 16 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.1.1.1-1
- Version update
* Wed Jan 20 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.1.1.0-2
- silenced annoying error messages on failing logging functions
* Tue Dec 29 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.1.1.0-1
- Version update
* Sat Oct 24 2009 Christian Metzen <metzench@ccux-linux.de> 2.1.0.1-2
- clean up specfile
* Mon Sep 21 2009 Christian Wasem <wasem@ccux-linux.de> 2.1.0.1-1
- Initial CCux release
